// De.linque.nt BlogDecrypt 
// version 0.1 BETA!
// 2005-06-20
// Copyright (c) 2005, James Britt
// Released under the GPL license
// http://www.gnu.org/copyleft/gpl.html
//
// --------------------------------------------------------------------
//
// This is a Greasemonkey user script.  To install it, you need
// Greasemonkey 0.3 or later: http://greasemonkey.mozdev.org/
// Then restart Firefox and revisit this script.
// Under Tools, there will be a new menu item to "Install User Script".
// Accept the default configuration and install.
//
// To uninstall, go to Tools/Manage User Scripts,
// select "Blog Decrypt", and click Uninstall.
//
// Big thanks to Mark Pilgrim for writing Dive Into Greasemonkey!
// http://diveintogreasemonkey.org/
//
// --------------------------------------------------------------------
//
// ==UserScript==
// @name          De.linque.nt Blog Reformer
// @namespace     http://neurogami.com/greasemonkey/
// @description   Script to locate specific blog entries on Bloglines and reform them
// Items page
// @include       http://www.bloglines.com/myblogs_display*
// @include       http://bloglines.com/myblogs_display*
// ==/UserScript==


( function() {

 //INSERT_ADD-INS 
 
  function reform_title( el ) {
   //INSERT_REFORM_TITLE
  }

  function reform_content( el ) {
   //INSERT_REFORM_CONTENT
  }

  function xpath(query) {
    return document.evaluate(query, document, null,  XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
 }


  function process_articles() {
    var re = /De\.linque\.nt\d\d/
    var l_ary = xpath( '//a[@href]');
    var is_delinquent = false;
    for ( var i=0; i < l_ary.snapshotLength; i++) {
      if (re.test( l_ary.snapshotItem( i ).href ) )   {
        is_delinquent = true;
        }
        
    }
    if ( is_delinquent ) {
      
      var title_ary = xpath( '//h3/a' );
      for ( var i=0; i < title_ary.snapshotLength; i++) 
        reform_title( title_ary.snapshotItem( i ))
     
      
      var td_ary = xpath( '//td[@class="article"]' );
      for ( var i=0; i < td_ary.snapshotLength; i++) 
        reform_content( td_ary.snapshotItem( i ))
        
      }
      
   
  }
  process_articles();

} )();







